package com.bwie.auth.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.auth.service.AuthService;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.UserRequest;
import com.bwie.common.domain.response.UserResponse;
import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Log4j2
public class AuthController {

    @Autowired
    private AuthService authService;

    @PostMapping("/login")
    private Result<UserResponse> login(@RequestBody UserRequest userRequest){
        Result<UserResponse> userResponseResult = authService.login(userRequest);
        log.info("成功——————>{}", JSONObject.toJSONString(userResponseResult.getData()));
        return userResponseResult;
    }

    @GetMapping("/user/info")
    public Result<User> userInfo(){
        User user = authService.userInfo();
        log.info("成功------>{}",user);
        return  Result.success(user);
    }

    @PostMapping("/logout")
    private Result logout(){
        authService.logout();
        return Result.success();
    }



}
