package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author sikadi
 * @since 2023-10-08 02:57:22
 */
@Getter
@Setter
@TableName("t_project")
@ApiModel(value = "Project对象", description = "")
public class Project {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("项目名称")
    @TableField("project_name")
    private String projectName;

    @ApiModelProperty("项目编号")
    @TableField("project_card")
    private String projectCard;

    @ApiModelProperty("项目客户方")
    @TableField("project_client")
    private String projectClient;

    @ApiModelProperty("项目立项时间")
    @TableField("project_create_time")
    private Date projectCreateTime;

    @ApiModelProperty("项目开工时间")
    @TableField("project_start_time")
    private Date projectStartTime;

    @ApiModelProperty("项目竣工时间")
    @TableField("project_completed_time")
    private Date projectCompletedTime;

    @ApiModelProperty("项目负责人")
    @TableField("project_leader")
    private String projectLeader;

    @ApiModelProperty("项目图片")
    @TableField("project_image")
    private String projectImage;

    @ApiModelProperty("0：待提交  1：待审核  2:审核通过  3:审核不通过")
    @TableField("status")
    private Integer status;

    @ApiModelProperty("成本类型集合")
    private List<ProjectCostType> projectCostTypeList;

    @ApiModelProperty("类型的数据")
    private Integer type[];

    @ApiModelProperty("总概算金额")
    private Double imputedAmountSum;

    @ApiModelProperty("总估算金额")
    private Double estimatedAmountSum;




}
