package com.bwie.costType.controller;

import com.bwie.common.domain.CostType;
import com.bwie.common.result.Result;
import com.bwie.costType.service.impl.CostTypeServiceImpl;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@RestController
@Log4j2
public class CostTypeController {
    @Autowired
    private CostTypeServiceImpl costTypeService;

    @Autowired
    private HttpServletRequest request;

    /**
     * 获取所有成本类型
     * @return
     */
    @GetMapping("costTypeList")
    public Result<List<CostType>> costTypeList(){
        log.info("功能：成本类型，请求路径：{}，请求方式：{}，请求参数：{}",
                request.getRequestURI(),request.getMethod(),"");

        Result<List<CostType>> result = costTypeService.costTypeList();

        log.info("功能：成本类型，请求路径：{}，请求方式：{}，响应结果：{}",
                request.getRequestURI(),request.getMethod(),result);

        return result;
    }
}
