package com.bwie.project.controller;


import com.alibaba.fastjson.JSON;
import com.bwie.common.domain.Project;
import com.bwie.common.domain.request.ProjectInquire;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import com.bwie.project.service.ProjectService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author sikadi
 * @since 2023-10-08 02:57:22
 */
@RestController
@Log4j2
public class ProjectController {

    @Autowired
    private ProjectService projectService;

    /**
     * @description: 列表
     * @author: (扭曲)(爬行)(抽搐)
     * @date: 2023/10/8 16:37
     * @param: [projectInquire]
     * @return: com.bwie.common.result.Result<com.bwie.common.result.PageResult<com.bwie.common.domain.Project>>
     **/
    @PostMapping("/projectList")
    private Result<PageResult<Project>> projectList(@RequestBody ProjectInquire projectInquire){
        log.info("列表请求的值:{}", JSON.toJSONString(projectInquire));
        PageResult pageResult = projectService.projectList(projectInquire);
        log.info("列表响应:{}",JSON.toJSONString(pageResult.getList()));
        return Result.success(pageResult);
    }


    /**
     * @description: 添加的功能
     * @author: (扭曲)(爬行)(抽搐)
     * @date: 2023/10/9 8:15
     * @param: [project]
     * @return: com.bwie.common.result.Result
     **/
    @PostMapping("/projectIncrease")
    public Result projectIncrease(@RequestBody Project project){
        log.info("添加---请求:{}",JSON.toJSONString(project));
        Result result = projectService.projectIncrease(project);
        log.info("添加---结果:{}",JSON.toJSONString(result.getData()));
        return result;
    }

}

