package com.bwie.project.feign;

import com.bwie.common.domain.CostType;
import com.bwie.common.domain.ProjectCostType;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

/**
 * @description: TODO
 * @author: SIKADI
 * @date: 2023/10/8 16:39
 **/
@FeignClient("bwie-costType")
public interface FeignCostType {
    /**
     * 获取所有成本类型
     * @return
     */
    @GetMapping("costTypeList")
    public Result<List<CostType>> costTypeList();



    /**
     * 根据项目id获取成本类型中间列表
     * @return
     */
    @GetMapping("/ProjectCostTypeListById/{pid}")
    public Result<List<ProjectCostType>> ProjectCostTypeListById(@PathVariable Integer pid);
}
