package com.bwie.user.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.UserRequest;
import com.bwie.common.result.Result;
import com.bwie.user.service.UserService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Log4j2
public class UserController {
    @Autowired
    private UserService userService;


    @PostMapping("/user")
    public Result<User> user(@RequestBody UserRequest userRequest){
        User user = userService.user(userRequest);
        log.info("成功--->{}", JSONObject.toJSONString(user));
        return Result.success(user);
    }

}
